Package com.plannaplan.entities

# Class Lecturer

java.lang.Object
com.plannaplan.entities.Lecturer

    @Entity
    public class Lecturer
    extends java.lang.Object

Entity of Lecturer grouping of state ssociated about id,title,name,surname

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Lecturer()` |
`Lecturer​(java.lang.String title, java.lang.String name, java.lang.String surname)` | Lecturer

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getName()` | getName
`java.lang.String` | `getSurname()` | getSurname
`java.lang.String` | `getTitle()` | getTitle
`void` | `setName​(java.lang.String name)` | setName
`void` | `setSurname​(java.lang.String surname)` | setSurname
`void` | `setTitle​(java.lang.String title)` | setTitle
`java.lang.String` | `toString()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Lecturer

public Lecturer​(java.lang.String title, java.lang.String name, java.lang.String surname)
Lecturer

Parameters:
  `title` - title given to the lecturer
  `name` - name given to the lecturer
  `surname` - surname given to the lecturer

### Lecturer

public Lecturer()

## Method Details

### getTitle

public java.lang.String getTitle()
getTitle

Returns:
  title

### getSurname

public java.lang.String getSurname()
getSurname

Returns:
  surname

### setSurname

public void setSurname​(java.lang.String surname)
setSurname

Parameters:
  `surname` - set surname to the lecturer

### getName

public java.lang.String getName()
getName

Returns:
  name

### setName

public void setName​(java.lang.String name)
setName

Parameters:
  `name` - set name to the lecturer

### setTitle

public void setTitle​(java.lang.String title)
setTitle

Parameters:
  `title` - set title to the lecturer

### toString

public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`